Bug 1127663 - After resuming the installation, Result:errors is shown but "Errors" tab is empty
Summary: After resuming the installation, Result:errors is shown but "Errors" tab is e...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ruby193-rubygem-foreman-tasks
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: Installer
Assignee: Todd Sanders
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 10:16 UTC by Luigi Toscano
Modified: 2016-09-29 13:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:34:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1127176 None None None Never

Internal Links: 1127176

Description Luigi Toscano 2014-08-07 10:16:15 UTC
Description of problem:
After resuming a failed installation (failed probably for some issue with the VM host), the status and result fields contains:

State: running
Result: error 

This could be the expected behavior, but on the other side "Error" tab (which was populated before pushing "resume") is now empty. 

So maybe the result of "Result" could be "Restarted after error" or the Error tab could hold the previous failed result for reference. 


Version-Release number of selected component (if applicable):
ruby193-rubygem-staypuft-0.1.22-1.el6ost.noarch
foreman-1.6.0.21-2.el6sat.noarch
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
ruby193-rubygem-foreman-tasks-0.6.4-2.el6sat.noarch

Comment 3 Petr Chalupa 2014-08-08 10:51:06 UTC
fixed in https://github.com/theforeman/foreman-tasks/pull/80

Comment 4 Petr Chalupa 2014-10-08 09:03:29 UTC
PR merged, will be in version > 0.6.10

Comment 7 Mike McCune 2016-03-28 23:42:22 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 8 Jaromir Coufal 2016-09-29 13:34:35 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.